package jiraclient

import "fmt"

type Issue struct {
	Id     string `json:"id"`
	Self   string `json:"self"`
	Key    string `json:"key"`
	Fields struct {
		Summary     string  `json:"summary"`
		Creator     User    `json:"creator"`
		Reporter    User    `json:"reporter"`
		Assignee    User    `json:"assignee"`
		Description string  `json:"description"`
		Project     Project `json:"project"`
		Comment     struct {
			Comments []Comment `json:"comments"`
		} `json:"comment"`
	} `json:"fields"`
}

func (i Issue) String() string {
	return fmt.Sprintf("%s %s", i.Key, i.Fields.Summary)
}
